import { renderless, api } from "@dftvue2-opentiny/vue-renderless/selected-box/vue";
import { defineComponent, props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import { IconClose } from "@dftvue2-opentiny/vue-icon";
import Popover from "@dftvue2-opentiny/vue-popover";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["change", "clear", "delete", "drag"],
  props: [].concat(props, ["inverse", "total", "select", "config"]),
  components: {
    IconClose: IconClose(),
    TinyPopover: Popover
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "h-full mx-2 grid grid-cols-1 grid-rows-[36px_auto] bg-white",
    attrs: {
      "data-tag": "tiny-selected-box"
    }
  }, [_c("div", {
    staticClass: "flex justify-between items-center text-xs text-color-text-primary px-2"
  }, [_c("div", {
    staticClass: "max-w-[8rem]"
  }, [_vm._t("select", function() {
    return [_c("span", {
      staticClass: "cursor-pointer"
    }, [_vm._v(_vm._s(_vm.i18nSelected()))])];
  }, {
    "params": _vm.state.slotParams
  })], 2), _c("div", {
    staticClass: "flex space-x-2 select-none text-color-brand"
  }, [_vm._t("button", null, {
    "params": _vm.state.slotParams
  }), _vm._t("clear", function() {
    return [_c("div", {
      staticClass: "cursor-pointer",
      on: {
        "click": _vm.handleClear
      }
    }, [_vm._v(_vm._s(_vm.t("ui.selectedBox.clear")))])];
  }, {
    "params": _vm.state.slotParams,
    "clear": _vm.handleClear
  })], 2)]), _c("div", {
    ref: "list",
    class: ["overflow-x-hidden overflow-y-auto text-xs text-color-text-primary", {
      "line-through decoration-solid decoration-color-text-primary": _vm.state.inverse
    }]
  }, _vm._l(_vm.state.select, function(option, i) {
    return _c("div", {
      key: "o" + i + "-" + _vm.state.refresh,
      staticClass: "cursor-pointer hover:bg-color-bg-2 px-2 rounded-sm",
      attrs: {
        "data-key": _vm.keyOption(option),
        "data-tag": "tiny-selected-box-item"
      }
    }, [_c("div", {
      staticClass: "grid grid-cols-[auto_24px]"
    }, [_c("div", {
      staticClass: "truncate"
    }, [_vm._t("option", function() {
      return [_c("div", {
        staticClass: "h-7 truncate translate-y-1"
      }, [_c("div", {
        staticClass: "truncate relative top-1/2 -translate-y-1/2",
        on: {
          "mouseenter": _vm.handleMouseenter,
          "mouseleave": _vm.handleMouseleave
        }
      }, [_vm._v(" " + _vm._s(_vm.textPrimary(option)) + " ")])]), _vm.state.showAuxi ? _c("div", {
        staticClass: "h-7 truncate -translate-y-1"
      }, [_c("div", {
        staticClass: "truncate text-color-text-placeholder relative top-1/2 -translate-y-1/2",
        on: {
          "mouseenter": _vm.handleMouseenter,
          "mouseleave": _vm.handleMouseleave
        }
      }, [_vm._v(" " + _vm._s(_vm.textAuxi(option)) + " ")])]) : _vm._e()];
    }, {
      "params": _vm.state.slotParams,
      "option": option,
      "mouseenter": _vm.handleMouseenter,
      "mouseleave": _vm.handleMouseleave
    })], 2), _c("div", [_vm._t("close", function() {
      return [_c("div", {
        class: ["h-7 translate-y-1 flex items-center justify-end", "fill-color-icon-primary hover:fill-color-icon-hover"]
      }, [_c("icon-close", {
        on: {
          "click": function click($event) {
            return _vm.handleDelete(option);
          }
        }
      })], 1)];
    }, {
      "params": _vm.state.slotParams,
      "option": option,
      "close": _vm.handleDelete
    })], 2)])]);
  }), 0), _c("tiny-popover", {
    ref: "popover",
    staticClass: "hidden",
    attrs: {
      "trigger": "manual",
      "content": _vm.state.popoverContent
    },
    model: {
      value: _vm.state.popoverVisible,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "popoverVisible", $$v);
      },
      expression: "state.popoverVisible"
    }
  })], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
